Subject: [alpine-aports] [PATCH 5/5] testing/perl-couchbase: new aport

From: Nathan Johnson <[email-masked]>
Date: Mon, 29 Feb 2016 15:22:38 -0600

http://search.cpan.org/dist/Couchbase/
Couchbase Client Library
---
 testing/perl-couchbase/APKBUILD | 41 +++++++++++++++++++++++++++++++++++++++++
 1 file changed, 41 insertions(+)
 create mode 100644 testing/perl-couchbase/APKBUILD

diff --git a/testing/perl-couchbase/APKBUILD b/testing/perl-couchbase/APKBUILD
new file mode 100644
index 0000000..1b34fb2
--- /dev/null
+++ b/testing/perl-couchbase/APKBUILD
@@ -0,0 +1,41 @@
+# Automatically generated by apkbuild-cpan, template 1
+# Contributor: Nathan Johnson <[email-masked]>
+# Maintainer: Nathan Johnson <[email-masked]>
+pkgname=perl-couchbase
+_pkgreal=Couchbase
+pkgver=2.0.3
+pkgrel=0
+pkgdesc="Couchbase Client Library"
+url="http://search.cpan.org/dist/Couchbase/"
+arch="all"
+license="GPL PerlArtistic"
+cpandepends="perl-constant-generate perl-uri perl-class-xsaccessor perl-json-maybexs"
+cpanmakedepends="  perl-log-fu perl-test-class perl-dir-self "
+depends="$cpandepends"
+makedepends="perl-dev $cpanmakedepends libcouchbase-dev"
+subpackages="$pkgname-doc"
+source="http://search.cpan.org/CPAN/authors/id/M/MN/MNUNBERG/$_pkgreal-$pkgver.tar.gz"
+
+_builddir="$srcdir/$_pkgreal-$pkgver"
+
+prepare() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	PERL_MM_USE_DEFAULT=1 perl Makefile.PL INSTALLDIRS=vendor
+}
+
+build() {
+	cd "$_builddir"
+	export CFLAGS=`perl -MConfig -E 'say $Config{ccflags}'`
+	make && make test
+}
+
+package() {
+	cd "$_builddir"
+	make DESTDIR="$pkgdir" install || return 1
+	find "$pkgdir" \( -name perllocal.pod -o -name .packlist \) -delete
+}
+
+md5sums="604f95c7a73a73b53b0ff5b24ddce0e4  Couchbase-2.0.3.tar.gz"
+sha256sums="62e8dd3d2ce70d0324ab657bb5c31e51c227105fd4bcf4355daea794f20fa6b8  Couchbase-2.0.3.tar.gz"
+sha512sums="5d4fd37c828f8ddfa918ac30f50570b25fa6393fbb1b44527bc10a49e02fcc2a3a3fff4f687c33245bf5504fbc7392920f43b61946212ef27ec05e6c06f4e888  Couchbase-2.0.3.tar.gz"
-- 
2.6.4

---
Unsubscribe:  [email-masked]
Help:         [email-masked]
---